# Uses of Class
java.security.CodeSigner

Packages that use CodeSigner
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.

## Uses of CodeSigner in java.security

Methods in java.security that return CodeSigner
Modifier and Type
Method
Description
`final CodeSigner[]`
CodeSource.`getCodeSigners()`
Returns the code signers associated with this `CodeSource`.
Constructors in java.security with parameters of type CodeSigner
Modifier
Constructor
Description
``
`CodeSource(URL url, CodeSigner[] signers)`
Constructs a `CodeSource` and associates it with the specified location and set of code signers.

## Uses of CodeSigner in java.util.jar

Methods in java.util.jar that return CodeSigner
Modifier and Type
Method
Description
`CodeSigner[]`
JarEntry.`getCodeSigners()`
Returns the `CodeSigner` objects for this entry, or `null` if none.